%define name transcriber
%define version 1.5.1
%define release %mkrel 1

Name:		%{name}
Summary:	A free tool for segmenting, labeling and transcribing speech
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sound
URL:		http://sourceforge.net/projects/trans/
Source0:	http://prdownloads.sourceforge.net/trans/Transcriber-%version.tar.bz2
Source1:	%{name}.png
Requires:	tcl tk tclex tcl-snack
BuildRequires:	tcl-devel tk-devel
BuildRequires:	X11-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot
Obsoletes:	Transcriber
Provides:	Transcriber

%description
Transcriber is a tool for assisting the manual annotation of speech
signals. It provides a user-friendly graphical user interface for
segmenting long duration speech recordings, transcribing them, and
labeling speech turns, topic changes and acoustic conditions. It is more
specifically designed for the annotation of broadcast news recordings, for
creating corpora used in the development of automatic broadcast news
transcription systems, but its features might be found useful in other
areas of speech research.

%prep
%setup -q -n %{name}

%build
cd src
CFLAGS="$RPM_OPT_FLAGS -fPIC" ./configure \
	--with-snack=%{_libdir} --with-tcl=%{_libdir} \
	--with-tk=%{_libdir} --prefix=${RPM_BUILD_ROOT}%{_prefix} --libdir=%_libdir

%make

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/lib ${RPM_BUILD_ROOT}%{_bindir}
(cd src;make install)

install -D -m644 %SOURCE1 $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m644 %SOURCE1 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps/%{name}.png

# Fix wrong-script-end-of-line-encoding 
perl -pi -e 's/\015$//' %buildroot/%_libdir/transcriber1.4/etc/local_cs.txt

# Delete some unnecessary files
rm -rf $RPM_BUILD_ROOT%{_prefix}/lib/transcriber1.5/doc
rm -f $RPM_BUILD_ROOT%{_prefix}/lib/transcriber1.5/COPYING
rm -f $RPM_BUILD_ROOT%{_prefix}/lib/transcriber1.5/README_UNIX

# Mandrake menu entries
install -d -m 0755 %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%{name}): command="trans" \
icon="transcriber.png" \
needs="x11" \
title="Transcriber" \
longtitle="A sound editor based on Tcl/Tk" \
section="Multimedia/Sound" \
xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Transcriber
Comment=A sound editor based on Tcl/Tk
Exec=%{_bindir}/trans
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-Multimedia-Sound;AudioVideo;Audio;Mixer;
EOF


%post
%update_menus
%update_icon_cache hicolor
%update_desktop_database

%postun
%clean_menus
%clean_icon_cache hicolor
%clean_desktop_database

%files 
%defattr(-,root,root)
%_bindir/*
%{_prefix}/lib/transcriber*
%{_menudir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop
%{_iconsdir}/*.png
%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%doc README_UNIX doc/

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%changelog
* Sat May 19 2007 Adam Williamson <awilliamson@mandriva.com> 1.5.1-1mdv2007.0
+ Revision: 28447
- Import transcriber

